Subject: bug#49066: 26.3; Segmentation fault on specific utf8 string

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Jun 2021 09:20:41 +0300

> From: handa <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked]
> Date: Sun, 27 Jun 2021 11:29:28 +0900
> 
> So, I tried to restore the old code as the attached patch, and then the
> patched emacs has no problem of rendering the above Bengali string.

Thanks.  Robert, Miguel: could you please try this patch and see if it
fixes the problem?

Since we are moving away of m17n-flt, I don't think we should optimize
memory management when m17n-flt is used, especially if that causes
problems.  So if the patch fixes the crash, I think we should install
it.